#
#       Makefile for uepack
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uepack
LIBFSRCS	= uetone.f uetonf.f uetonc.f uezchk.f uegtla.f uegtlb.f \
		      ueitlv.f uestln.f iueton.f uearea.f ueiget.f ueiqnp.f \
              uelget.f uelqnp.f uerget.f uerqnp.f uepget.f uepqnp.f \
		      uetonz.f uetonb.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uetone.o uetonf.o uetonc.o uezchk.o uegtla.o uegtlb.o \
		      ueitlv.o uestln.o iueton.o uearea.o ueiget.o ueiqnp.o \
           	  uelget.o uelqnp.o uerget.o uerqnp.o uepget.o uepqnp.o \
		      uetonz.o uetonb.o

LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)

object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
